function setYaw(%angle)
{
    %forward = ServerConnection.getControlObject().getForwardVector();
    $mvYaw = %angle - mATan(getWord(%forward, 0), getWord(%forward, 1));
    if ($mvYaw > $pi ) $mvYaw -= $m2pi;
	if ($mvYaw < -$pi) $mvYaw += $m2pi;
}

function setYawNorth(%state) { if (%state) setYaw(        0); }
function setYawSouth(%state) { if (%state) setYaw( $pi     ); }
function setYawEast (%state) { if (%state) setYaw( $piOver2); }
function setYawWest (%state) { if (%state) setYaw(-$piOver2); }

function addYaw45(%state) { if (%state) $mvYaw = $pi *  0.25; }
function subYaw45(%state) { if (%state) $mvYaw = $pi * -0.25; }

function addPitch45(%state) { if (%state) $mvPitch = $pi *  0.25; }
function subPitch45(%state) { if (%state) $mvPitch = $pi * -0.25; }

function setPitchCenter(%state)
{
    $mvPitch = -$pi;
    schedule(50, 0, eval, "$mvPitch=$piOver2;");
}

if (!$LookBinds::AddedRemaps)
{
    $LookBinds::AddedRemaps = true;

    $RemapDivision[$RemapCount] = "Look Binds";
    $RemapName[$RemapCount] = "Center Pitch";
    $RemapCmd[$RemapCount] = "setPitchCenter";
    $RemapCount++;
    $RemapName[$RemapCount] = "Look North";
    $RemapCmd[$RemapCount] = "setYawNorth";
    $RemapCount++;
    $RemapName[$RemapCount] = "Look South";
    $RemapCmd[$RemapCount] = "setYawSouth";
    $RemapCount++;
    $RemapName[$RemapCount] = "Look East";
    $RemapCmd[$RemapCount] = "setYawEast";
    $RemapCount++;
    $RemapName[$RemapCount] = "Look West";
    $RemapCmd[$RemapCount] = "setYawWest";
    $RemapCount++;
    $RemapName[$RemapCount] = "Yaw +45";
    $RemapCmd[$RemapCount] = "addYaw45";
    $RemapCount++;
    $RemapName[$RemapCount] = "Yaw -45";
    $RemapCmd[$RemapCount] = "subYaw45";
    $RemapCount++;
    $RemapName[$RemapCount] = "Pitch +45";
    $RemapCmd[$RemapCount] = "addPitch45";
    $RemapCount++;
    $RemapName[$RemapCount] = "Pitch -45";
    $RemapCmd[$RemapCount] = "subPitch45";
    $RemapCount++;
}
